// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "IInterface.h"

#include "ClassB.generated.h"

class AClassA;

UCLASS()
class INTFACE_API AClassB : public AActor, public  IIInterface
{
	GENERATED_BODY()
	
public:	
	// Sets default values for this actor's properties
	AClassB();

	UPROPERTY(BlueprintReadWrite,EditAnywhere)
	TArray<AClassA*> Items;
	
	TArray<UObject*> GetItems_Implementation();

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:	
	// Called every frame
	virtual void Tick(float DeltaTime) override;

};
