// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "IInterface.h"
#include "ClassB.h"
#include "ClassA.generated.h"

UCLASS()
class INTFACE_API AClassA : public AActor, public  IIInterface
{
	GENERATED_BODY()
	
public:	
	// Sets default values for this actor's properties
	AClassA();

	
	TArray<UObject*> GetItems_Implementation();

	UPROPERTY(BlueprintReadWrite, EditAnywhere)
	TArray<AClassB*> Items;
protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:	
	// Called every frame
	virtual void Tick(float DeltaTime) override;

};
